Package org.xnio.channels

# Interface ReadListenerSettable<C extends Channel>

All Known Implementing Classes:
  `ConduitReadableMessageChannel`, `ConduitStreamSourceChannel`, `EmptyStreamSourceChannel`, `FixedLengthStreamSourceChannel`, `FramedMessageChannel`, `SplitStreamSourceChannel`, `TranslatingSuspendableChannel`

public interface ReadListenerSettable<C extends Channel>
An object which supports directly setting the read listener may implement this interface.

Author:
  David M. Lloyd

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`ReadListenerSettable.Setter<C extends Channel>`
A channel listener setter implementation which delegates to the appropriate setter method.

## Method Summary

Modifier and Type
Method
Description
`ChannelListener<? super C>`
`getReadListener()`
Get the read listener.
`void`
`setReadListener(ChannelListener<? super C> listener)`
Set the read listener.

## Method Details

### setReadListener

void setReadListener(ChannelListener<? super C> listener)
Set the read listener.

Parameters:
  `listener` - the read listener

### getReadListener

ChannelListener<? super C> getReadListener()
Get the read listener.

Returns:
  the read listener